Skip to main content
Back to API List The Ingest Analytics Metadata API allows you to send analytics metadata for search requests processed outside the Search AI answer generation pipeline. Use this API to report generated answers, answer generation latency, citations, chunk usage, and user feedback so that externally generated answers are reflected in the Answer Analytics dashboard.
Existing Feedback API integrations continue to work without modification. This API extends analytics capabilities by allowing additional metadata to be associated with a search request.

Request Parameters

Sample Request

Points to Note

  • The searchRequestId must correspond to a valid search request generated by the Advance Search V2 API.
  • Only searchRequestId is mandatory. You can submit any subset of the supported analytics fields. Only the fields which are sent in the request are updated and other fields remain the same.
  • You can invoke the API multiple times for the same searchRequestId as additional analytics data becomes available. When multiple requests are submitted for the same searchRequestId, Search AI updates the metadata as follows:
    • The following fields overwrite any previously stored values:
      • comments
      • event
      • ai_answer
      • llm_response_time
      • chunks_sent_to_llm
      • Chunks_used_for_answer
    • Data for the following field is appended.
      • citation_clicks
  • This API is intended for analytics and reporting only. It does not modify search results or answer generation behavior.